Bug 390661 - phy0 -> rt2x00pci_write_tx_data: Error - Arrived at non-free entry in the non-full queue 2
phy0 -> rt2x00pci_write_tx_data: Error - Arrived at non-free entry in the non...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 11:53 EST by Jordi Genis
Modified: 2007-12-11 14:38 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.23.9-45.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 14:38:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 359771 None None None Never

  None (edit)
Description Jordi Genis 2007-11-19 11:53:29 EST
Description of problem:
I connect to WPA-protected wireless networks with my RT61 PCI card. However, the
connection stops working within several minutes, at which point I am not even
able to ping the router. It happens every time that my RT61 PCI card has a great
activity for example, when I am using a bitorrent client.

Version-Release number of selected component (if applicable):
My linux kernel version is 2.6.23.1-21.fc7 #1 SMP Thu Nov 1 21:09:24 EDT 2007
i686 i686 i386 GNU/Linux
My rt61pci-firmware version is 1.2-4

How reproducible:
Connect to to WPA-protected wireless networks with my RT61 PCI card, download a
file using a bitorrent client and wait the network stops working.
The messages: "kernel: phy0 -> rt2x00pci_write_tx_data: Error - Arrived at
non-free entry in the non-full queue 2."
	      "kernel: Please file bug report to http://rt2x00.serialmonkey.com."
appears in the /var/log/messages file log.

Steps to Reproduce:
1.Connect to to WPA-protected wireless networks with my RT61 PCI card
2.download a file using a bitorrent client
3.wait the network stops working and see the messages in the /var/log/messages file.
  
Actual results:


Expected results:


Additional info:
dmesg result:
phy0 -> rt2x00pci_write_tx_data: Error - Arrived at non-free entry in the
non-full queue 2.
Please file bug report to http://rt2x00.serialmonkey.com.
Comment 1 Nicolas Chauvet (kwizart) 2007-11-19 11:58:14 EST
This bug has been assigned to the wrong component
Please assing the bug correctly next time...(ie-> kernel )
Comment 2 John W. Linville 2007-12-06 09:14:25 EST
Please try these kernels (presuming you are still on F7):

   http://koji.fedoraproject.org/koji/buildinfo?buildID=26993

Can you recreate the issue w/ those kernels?
Comment 3 Jordi Genis 2007-12-11 14:30:51 EST
I try the kernel-2.6.23.9-45.fc7.i686 for more than a day using a bitorrent
client and everything is good. The network connection works fine and I don't see
any message in the /var/log/messages file. I have only a problem, I was using
kmod-nvidia module which is dependent of the kernel version, for this kernel
version doesn't exist this module, probably I will have to recompile this kernel
with the nvidia drivers.
Comment 4 John W. Linville 2007-12-11 14:38:03 EST
Can't help you with the nvidia drivers, but I do think you'll have to 
recompile them.  Thanks for the testing!

Note You need to log in before you can comment on or make changes to this bug.